package com.kingdee.eas.custom.synctask;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractSyncTranForAtsFacadeControllerBean extends AbstractBizControllerBean implements SyncTranForAtsFacadeController
{
    protected AbstractSyncTranForAtsFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("8E08F1CD");
    }

    public void syncPunchRecord(Context ctx, String beginDate, String endDate, int offset) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("8d8deaef-40ef-45cd-a395-e450c235c9c4"), new Object[]{ctx, beginDate, endDate, new Integer(offset)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _syncPunchRecord(ctx, beginDate, endDate, offset);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _syncPunchRecord(Context ctx, String beginDate, String endDate, int offset) throws BOSException, EASBizException
    {    	
        return;
    }

}